#!/usr/bin/perl -w

################################################################################
#
# This perl script will look at the galleries DBs and image server to check that
# the uncropped and cropped tif files are up to date.
#                      
#  Copyright (c) 2010 Joseph Padfield <joseph.padfield@ng-london.org.uk>
#
#  ---------------------------------------------------------------------------
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#   ---------------------------------------------------------------------------
#
#	This script has been developed in Version 8.10 of Unbuntu Linux 
#
#	In addition to perl you will also need to install the following packages:
#
#  # 
#
#	Plus any additional packages that these three rely on.
#		
################################################################################

use DBI;   
use POSIX qw(ceil floor sqrt);
use File::Basename;

require( "./header.pl" );

my $identifier = $ARGV[0];
my $what = $ARGV[1];
my $trips = $ARGV[2];
my $debug;
my $output;
  
my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime();
  $year += 1900;
  $mon = sprintf("%02.0f", $mon + 1);
  $mday = sprintf("%02.0f", $mday);
    
my $targetpath = $data_folder."/project_trash/$year/$mon/$mday";
my $tm = time();
my $tmp = $data_folder."/project_trash/$year/$mon/$mday/$identifier"."_triples_".$tm.".txt";

my $logfile = $data_folder."/project_trash/log/edit_log_$year"."_$mon"."_$mday".".log";
my $logtxt = "$year-$mon-$mday\tProcess:Deleted\t$what:$identifier\tBackup:$tmp\n";
my $mkp = "mkdir -p \"$targetpath\"";  

unless (-d "$targetpath")
  {$debug = `$mkp`;
   if (-d "$targetpath") {`chmod -R a+rw \"$targetpath\"`;}
  if ($debug) {$output .= $debug."\n"}}

if ($logfile)
	{open (MYFILE, '>>'.$logfile);
   print MYFILE $logtxt;
   close (MYFILE);
    
   open (MYFILE, '>>'.$tmp);
   print MYFILE $trips;
   close (MYFILE);}
  

  
